## mauikit-filebrowsing 4.0.2

=== debian/changelog ===
mauikit-filebrowsing (4.0.2-0zneon+24.04+noble+release+build11) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 01:01:36 +0000

mauikit-filebrowsing (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 09:51:37 +0000

mauikit-filebrowsing (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 09:50:10 +0000

mauikit-filebrowsing (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 09:50:06 +0000

mauikit-filebrowsing (3.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 09:50:05 +0000

mauikit-filebrowsing (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 09:50:09 +0000

mauikit-filebrowsing (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 09:50:06 +0000

mauikit-filebrowsing (2.2.2) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2020 19:57:31 +0000

## mauikit-filebrowsing 4.0.2+p24.04+vstable+git20251015.1843

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vstable+git20251015.1843-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:43:13 +0000

## mauikit-filebrowsing 4.0.2+p24.04+vstable+git20251020.0047

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Camilo Higuita <milo.h@aol.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

set(QT_MAJOR_VERSION 6)
set(REQUIRED_QT_VERSION 6.4)

set(KF_MAJOR_VERSION 6)
set(REQUIRED_KF_VERSION 5.240.0)

set(MAUI_MAJOR_VERSION 4)
set(MAUIKIT_VERSION 4.0.2)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(AUTOMOC_MOC_OPTIONS -Muri=org.mauikit.filebrowsing)

project(FileBrowsing LANGUAGES CXX VERSION ${MAUIKIT_VERSION})

find_package(ECM ${REQUIRED_KF_VERSION} NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(CMakePackageConfigHelpers)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(ECMSourceVersionControl)

include(KDEClangFormat)
include(KDEInstallDirs)
include(KDECMakeSettings)

if(ANDROID OR APPLE OR WIN32)
    set(IS_KIO_AVAILABLE OFF)
else()
    set(IS_KIO_AVAILABLE ON)
endif()

option (KIO_AVAILABLE "Use KIO library if it is avalibale, otherwise use default fallack implementation" ${IS_KIO_AVAILABLE})

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS
    Core
    Quick
    Sql
    Xml
    Concurrent
    Network)

find_package(KF${KF_MAJOR_VERSION} ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS
    I18n
    CoreAddons)

find_package(MauiKit${MAUI_MAJOR_VERSION} ${MAUIKIT_VERSION} REQUIRED)

if(ANDROID)
    find_package(Gradle REQUIRED)
endif()

if(${KIO_AVAILABLE})
    find_package(KF${KF_MAJOR_VERSION} ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS KIO)
endif()

if(${ECM_SOURCE_UNDER_VERSION_CONTROL})
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")

else()
    add_definitions(-DGIT_COMMIT_HASH="${PROJECT_VERSION}")
    add_definitions(-DGIT_BRANCH="Stable")
endif()

if (QT_KNOWN_POLICY_QTP0004)
    qt_policy(SET QTP0004 NEW)
endif()

##CMAKE PARTS
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/MauiKitFileBrowsing${MAUI_MAJOR_VERSION}")

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX FileBrowsing
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/filebrowsing_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/MauiKitFileBrowsing${MAUI_MAJOR_VERSION}ConfigVersion.cmake"
    SOVERSION ${PROJECT_VERSION_MAJOR})

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/MauiKitFileBrowsingConfig.cmake.in.${QT_MAJOR_VERSION}"
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitFileBrowsing${MAUI_MAJOR_VERSION}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitFileBrowsing${MAUI_MAJOR_VERSION}ConfigVersion.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKitFileBrowsing${MAUI_MAJOR_VERSION}Config.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel)

install(EXPORT MauiKitFileBrowsing${MAUI_MAJOR_VERSION}Targets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE MauiKitFileBrowsing${MAUI_MAJOR_VERSION}Targets.cmake
    NAMESPACE MauiKit${MAUI_MAJOR_VERSION}::)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/filebrowsing_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/MauiKit${MAUI_MAJOR_VERSION}/FileBrowsing
    COMPONENT Devel)

add_definitions(-DTRANSLATION_DOMAIN="mauikitfilebrowsing")
ki18n_install(po)

add_compile_definitions(QT_DISABLE_DEPRECATED_UP_TO=0x050F00)

add_subdirectory(src)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vstable+git20251020.0047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:47:30 +0000

=== debian/control ===
Source: mauikit-filebrowsing
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               mauikit-dev,
               mauiman-dev,
               ninja-build,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://mauikit.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit-filebrowsing.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit-filebrowsing
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-mauikit-filebrowsing
Architecture: any
Depends: libmauikit,
         libmauikitfilebrowsing4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-maui-mauikit,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-mauikit-filebrowsing (<< 4.0.0)
Replaces: qml-module-org-mauikit-filebrowsing (<< 4.0.0)
Description: MauiKit File Browsing utilities and controls
 MauiKit File Browsing controls and utils.
 This package contains the mauikit filebrowsing qml module.

Package: libmauikitfilebrowsing4
Architecture: any
Depends: qml6-module-org-mauikit-filebrowsing,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmauikitfilebrowsing3 (<< 4.0.0)
Replaces: libmauikitfilebrowsing3 (<< 4.0.0)
Description: MauiKit File Browsing utilities and controls
 MauiKit File Browsing controls and utils.
 This package contains the mauikit filebrowsing library.

Package: libmauikitfilebrowsing-dev
Architecture: any
Depends: libmauikitfilebrowsing4,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MauiKit File Browsing utilities and controls
 MauiKit File Browsing controls and utils.
 .
 This package contains mauikit filebrowsing development files.

Package: libmauikitfilebrowsing3
Architecture: all
Depends: libmauikitfilebrowsing4, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml-module-org-mauikit-filebrowsing
Architecture: all
Depends: qml6-module-org-mauikit-filebrowsing, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt6

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_WITH_QT6=ON

#override_dh_auto_configure:
#	dh_auto_configure -- -DCMAKE_POSITION_INDEPENDENT_CODE=ON

## mauikit-filebrowsing 4.0.2+p24.04+vstable+git20260105.0937

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vstable+git20260105.0937-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:37:48 +0000

## mauikit-filebrowsing 4.0.2+p24.04+vstable+git20260107.0802

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vstable+git20260107.0802-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:02:23 +0000

## mauikit-filebrowsing 4.0.2+p24.04+vstable+git20260122.0544

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vstable+git20260122.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:44:32 +0000

## mauikit-filebrowsing 4.0.2+p24.04+vstable+git20260130.0943

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vstable+git20260130.0943-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:43:15 +0000

## mauikit-filebrowsing 4.0.2+p24.04+vunstable+git20260130.1252

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vunstable+git20260130.1252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:52:33 +0000

=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
 
 Package: libmauikitfilebrowsing-dev
 Architecture: any
-Depends: libmauikitfilebrowsing4,
+Depends: libmauikitfilebrowsing4 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
          ${shlibs:Depends}

## mauikit-filebrowsing 4.0.2+p24.04+vunstable+git20260205.0759

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vunstable+git20260205.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:59:33 +0000
